package com.koobietech.eas.common.constant;

/**
 * @author lc
 */

public enum FileType {
    //OFFICE 文件
    DOC(".doc", 11),
    XLS(".xls", 12),
    PPT(".ppt", 13),
    XLSX(".xlsx", 14),
    DOCX(".docx", 15),
    PDF(".pdf", 16),
    //文本文件
    TXT(".txt", 21),
    HTML(".html", 22),
    CSS(".css", 23),
    JS(".js", 24),
    //媒体文件
    JPG(".jpg", 31),
    JPEG(".jpeg", 36),
    GIF(".gif", 32),
    MP4(".mp4", 33),
    MP3(".mp3", 34),
    PNG(".png", 35),
    //压缩文件
    GZ(".gz", 41),
    ZIP(".zip", 42),
    RAR(".rar", 43),
    //其他文件
    FILE(".file", 51);

    private String suffix;
    private int value;

    FileType(String suffix, int value) {
        this.suffix = suffix;
        this.value = value;
    }

    public static String getSuffix(int fileTypeCode) {
        for (FileType fileType : FileType.values()) {
            if (fileType.getValue() == fileTypeCode) {
                return fileType.getSuffix();
            }
        }
        return null;
    }

    public String getSuffix() {
        return suffix;
    }

    public int getValue() {
        return value;
    }

}
